import io.gitlab.jfronny.scripts.*

plugins {
    id("jfmod.module")
}

base {
    archivesName.set("libjf-config-network-v0")
}

dependencies {
    val fabricVersion: String by rootProject.extra
    val modmenuVersion: String by rootProject.extra
    api(devProject(":libjf-base"))
    api(devProject(":libjf-config-core-v2"))
    modCompileOnly("com.terraformersmc:modmenu:$modmenuVersion")
    include(modImplementation(fabricApi.module("fabric-networking-api-v1", fabricVersion))!!)
    include(modImplementation(fabricApi.module("fabric-command-api-v2", fabricVersion))!!)
}
